# Boost C++ Libraries

...one of the most highly regarded and expertly designed C++ library projects in the world. — Herb Sutter and Andrei Alexandrescu, C++ Coding Standards

Public Member Functions | Friends

# boost::locale::calendar Class Reference
[Date, Time, Timezone and Calendar manipulations]

this class provides an access to general calendar information. More...

`#include <boost/locale/date_time.hpp>`

List of all members.

## Public Member Functions
| calendar (std::ios_base &ios)
| calendar (std::locale const &l, std::string const &zone)
| calendar (std::locale const &l)
| calendar (std::string const &zone)
| calendar ()
| calendar (calendar const &other)
calendar const & | operator= (calendar const &other)
int | minimum (period::period_type f) const
int | greatest_minimum (period::period_type f) const
int | maximum (period::period_type f) const
int | least_maximum (period::period_type f) const
int | first_day_of_week () const
std::locale | get_locale () const
std::string | get_time_zone () const
bool | is_gregorian () const
bool | operator== (calendar const &other) const
bool | operator!= (calendar const &other) const
## Friends
class | date_time

## Detailed Description

this class provides an access to general calendar information.

This information is not connected to specific date but generic to locale, and timezone. It is used in obtaining general information about calendar and is essential for creation of date_time objects.

Examples:

  calendar.cpp.

## Constructor & Destructor Documentation

boost::locale::calendar::calendar | ( | std::ios_base & | ios | ) |

Create calendar taking locale and timezone information from ios_base instance.

Note:
  throws std::bad_cast if ios does not have a locale with installed calendar_facet facet installed

boost::locale::calendar::calendar | ( | std::locale const & | l,
|  | std::string const & | zone |
| ) |  |  |

Create calendar with locale l and time_zone zone

Note:
  throws std::bad_cast if loc does not have calendar_facet facet installed

boost::locale::calendar::calendar | ( | std::locale const & | l | ) |

Create calendar with locale l and default timezone

Note:
  throws std::bad_cast if loc does not have calendar_facet facet installed

boost::locale::calendar::calendar | ( | std::string const & | zone | ) |

Create calendar with default locale and timezone zone

Note:
  throws std::bad_cast if global locale does not have calendar_facet facet installed

boost::locale::calendar::calendar | ( |  | ) |

Create calendar with default locale and timezone

Note:
  throws std::bad_cast if global locale does not have calendar_facet facet installed

boost::locale::calendar::calendar | ( | calendar const & | other | ) |

copy calendar

## Member Function Documentation

int boost::locale::calendar::first_day_of_week | ( |  | ) | const

Get first day of week for specific calendar, for example for US it is 1 - Sunday for France it is 2 - Monday

std::locale boost::locale::calendar::get_locale | ( |  | ) | const

get calendar's locale

std::string boost::locale::calendar::get_time_zone | ( |  | ) | const

get calendar's time zone

int boost::locale::calendar::greatest_minimum | ( | period::period_type | f | ) | const

Get greatest possible minimum value for period f, For example for period::day it is 1, but may be different for other calendars.

bool boost::locale::calendar::is_gregorian | ( |  | ) | const

Check if the calendar is Gregorian

int boost::locale::calendar::least_maximum | ( | period::period_type | f | ) | const

Get least maximum value for period f, For example for Gregorian calendar's maximum period::day it is 28.

int boost::locale::calendar::maximum | ( | period::period_type | f | ) | const

Get maximum value for period f, For example for Gregorian calendar's maximum period::day it is 31.

int boost::locale::calendar::minimum | ( | period::period_type | f | ) | const

Get minimum value for period f, For example for period::day it is 1.

bool boost::locale::calendar::operator!= | ( | calendar const & | other | ) | const

Opposite of ==

calendar const& boost::locale::calendar::operator= | ( | calendar const & | other | ) |

assign calendar

bool boost::locale::calendar::operator== | ( | calendar const & | other | ) | const

Compare calendars for equivalence: i.e. calendar types, time zones etc.

The documentation for this class was generated from the following file:

- boost/locale/date_time.hpp